
function scJQGeneralAdd() {
  scLoadScInput('input:text.sc-js-input');
  scLoadScInput('input:password.sc-js-input');
  scLoadScInput('input:checkbox.sc-js-input');
  scLoadScInput('input:radio.sc-js-input');
  scLoadScInput('select.sc-js-input');
  scLoadScInput('textarea.sc-js-input');

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if ($oField.length > 0) {
    switch ($oField[0].name) {
      case 'den_anonima_1000':
      case 'nome_inf_den_1000':
      case 'tel_inf_den_1000':
      case 'email_inf_den_1000':
      case 'desc_den_1000':
      case 'senha_den_1000':
      case 'dt_den_1000':
      case 'id_1100_cat_den':
      case 'id_den_vinculo_1000':
      case 'nome_alvo_1000':
      case 'existe_testemunha_1000':
      case 'id_den_grau_certeza_1000':
      case 'id_den_cadencia_1000':
      case 'anexo_den_img1_1000':
      case 'anexo_den_img2_1000':
      case 'anexo_den_doc1_1000':
      case 'anexo_den_doc2_1000':
        sc_exib_ocult_pag('resumo_denuncia_form0');
        break;
      case 'andamento':
        sc_exib_ocult_pag('resumo_denuncia_form1');
        break;
      case 'id_status_den_1000':
      case 'dt_ini_inv_den_1000':
      case 'and_inv_den_1000':
      case 'sc_field_0':
        sc_exib_ocult_pag('resumo_denuncia_form2');
        break;
    }
  }

  if ($("#id_ac_" + sField).length > 0) {
    if ($oField.hasClass("select2-hidden-accessible")) {
      if (false == scSetFocusOnField($oField, sField)) {
        setTimeout(function() { scSetFocusOnField($oField, sField); }, 500);
      }
    }
    else {
      if (false == scSetFocusOnField($oField, sField)) {
        if (false == scSetFocusOnField($("#id_ac_" + sField, sField))) {
          setTimeout(function() { scSetFocusOnField($("#id_ac_" + sField, sField)); }, 500);
        }
      }
      else {
        setTimeout(function() { scSetFocusOnField($oField, sField); }, 500);
      }
    }
  }
  else {
    setTimeout(function() { scSetFocusOnField($oField, sField); }, 500);
  }
} // scFocusField

function scSetFocusOnField($oField, sField) {
  if ($oField.length > 0 && $oField[0].offsetHeight > 0 && $oField[0].offsetWidth > 0 && !$oField[0].disabled) {
    $oField[0].focus();
    return true;
  }
  return false;
} // scSetFocusOnField

function scEventControl_init(iSeqRow) {
  scEventControl_data["den_anonima_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["nome_inf_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["tel_inf_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["email_inf_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["desc_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["senha_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["dt_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["id_1100_cat_den" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["id_den_vinculo_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["nome_alvo_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["existe_testemunha_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["id_den_grau_certeza_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["id_den_cadencia_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["anexo_den_img1_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["anexo_den_img2_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["anexo_den_doc1_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["anexo_den_doc2_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["andamento" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["id_status_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["dt_ini_inv_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["and_inv_den_1000" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["sc_field_0" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
}

function scEventControl_active(iSeqRow) {
  if (scEventControl_data["den_anonima_1000" + iSeqRow] && scEventControl_data["den_anonima_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["den_anonima_1000" + iSeqRow] && scEventControl_data["den_anonima_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["nome_inf_den_1000" + iSeqRow] && scEventControl_data["nome_inf_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["nome_inf_den_1000" + iSeqRow] && scEventControl_data["nome_inf_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["tel_inf_den_1000" + iSeqRow] && scEventControl_data["tel_inf_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["tel_inf_den_1000" + iSeqRow] && scEventControl_data["tel_inf_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["email_inf_den_1000" + iSeqRow] && scEventControl_data["email_inf_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["email_inf_den_1000" + iSeqRow] && scEventControl_data["email_inf_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["desc_den_1000" + iSeqRow] && scEventControl_data["desc_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["desc_den_1000" + iSeqRow] && scEventControl_data["desc_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["senha_den_1000" + iSeqRow] && scEventControl_data["senha_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["senha_den_1000" + iSeqRow] && scEventControl_data["senha_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["dt_den_1000" + iSeqRow] && scEventControl_data["dt_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["dt_den_1000" + iSeqRow] && scEventControl_data["dt_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["id_1100_cat_den" + iSeqRow] && scEventControl_data["id_1100_cat_den" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["id_1100_cat_den" + iSeqRow] && scEventControl_data["id_1100_cat_den" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["id_den_vinculo_1000" + iSeqRow] && scEventControl_data["id_den_vinculo_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["id_den_vinculo_1000" + iSeqRow] && scEventControl_data["id_den_vinculo_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["nome_alvo_1000" + iSeqRow] && scEventControl_data["nome_alvo_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["nome_alvo_1000" + iSeqRow] && scEventControl_data["nome_alvo_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["existe_testemunha_1000" + iSeqRow] && scEventControl_data["existe_testemunha_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["existe_testemunha_1000" + iSeqRow] && scEventControl_data["existe_testemunha_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["id_den_grau_certeza_1000" + iSeqRow] && scEventControl_data["id_den_grau_certeza_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["id_den_grau_certeza_1000" + iSeqRow] && scEventControl_data["id_den_grau_certeza_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["id_den_cadencia_1000" + iSeqRow] && scEventControl_data["id_den_cadencia_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["id_den_cadencia_1000" + iSeqRow] && scEventControl_data["id_den_cadencia_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["andamento" + iSeqRow] && scEventControl_data["andamento" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["andamento" + iSeqRow] && scEventControl_data["andamento" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["id_status_den_1000" + iSeqRow] && scEventControl_data["id_status_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["id_status_den_1000" + iSeqRow] && scEventControl_data["id_status_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["dt_ini_inv_den_1000" + iSeqRow] && scEventControl_data["dt_ini_inv_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["dt_ini_inv_den_1000" + iSeqRow] && scEventControl_data["dt_ini_inv_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["and_inv_den_1000" + iSeqRow] && scEventControl_data["and_inv_den_1000" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["and_inv_den_1000" + iSeqRow] && scEventControl_data["and_inv_den_1000" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["sc_field_0" + iSeqRow] && scEventControl_data["sc_field_0" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["sc_field_0" + iSeqRow] && scEventControl_data["sc_field_0" + iSeqRow]["change"]) {
    return true;
  }
  return false;
} // scEventControl_active

function scEventControl_onFocus(oField, iSeq) {
  var fieldId, fieldName;
  fieldId = $(oField).attr("id");
  fieldName = fieldId.substr(12);
  scEventControl_data[fieldName]["blur"] = true;
  if ("den_anonima_1000" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("id_1100_cat_den" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("id_den_vinculo_1000" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("id_den_grau_certeza_1000" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("id_den_cadencia_1000" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("id_status_den_1000" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  scEventControl_data[fieldName]["change"] = false;
} // scEventControl_onFocus

function scEventControl_onBlur(sFieldName) {
  scEventControl_data[sFieldName]["blur"] = false;
  if (scEventControl_data[sFieldName]["change"]) {
        if (scEventControl_data[sFieldName]["original"] == $("#id_sc_field_" + sFieldName).val() || scEventControl_data[sFieldName]["calculated"] == $("#id_sc_field_" + sFieldName).val()) {
          scEventControl_data[sFieldName]["change"] = false;
        }
  }
} // scEventControl_onBlur

function scEventControl_onChange(sFieldName) {
  scEventControl_data[sFieldName]["change"] = false;
} // scEventControl_onChange

function scEventControl_onAutocomp(sFieldName) {
  scEventControl_data[sFieldName]["autocomp"] = false;
} // scEventControl_onChange

var scEventControl_data = {};

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_1000' + iSeqRow).bind('change', function() { sc_resumo_denuncia_id_1000_onchange(this, iSeqRow) });
  $('#id_sc_field_id_1100_cat_den' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_id_1100_cat_den_onblur('#id_sc_field_id_1100_cat_den' + iSeqRow, iSeqRow) })
                                             .bind('change', function() { sc_resumo_denuncia_id_1100_cat_den_onchange(this, iSeqRow) })
                                             .bind('focus', function() { sc_resumo_denuncia_id_1100_cat_den_onfocus(this, iSeqRow) });
  $('#id_sc_field_dt_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_dt_den_1000_onblur('#id_sc_field_dt_den_1000' + iSeqRow, iSeqRow) })
                                         .bind('change', function() { sc_resumo_denuncia_dt_den_1000_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_resumo_denuncia_dt_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_desc_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_desc_den_1000_onblur('#id_sc_field_desc_den_1000' + iSeqRow, iSeqRow) })
                                           .bind('change', function() { sc_resumo_denuncia_desc_den_1000_onchange(this, iSeqRow) })
                                           .bind('focus', function() { sc_resumo_denuncia_desc_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_den_anonima_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_den_anonima_1000_onblur('#id_sc_field_den_anonima_1000' + iSeqRow, iSeqRow) })
                                              .bind('change', function() { sc_resumo_denuncia_den_anonima_1000_onchange(this, iSeqRow) })
                                              .bind('focus', function() { sc_resumo_denuncia_den_anonima_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_nome_inf_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_nome_inf_den_1000_onblur('#id_sc_field_nome_inf_den_1000' + iSeqRow, iSeqRow) })
                                               .bind('change', function() { sc_resumo_denuncia_nome_inf_den_1000_onchange(this, iSeqRow) })
                                               .bind('focus', function() { sc_resumo_denuncia_nome_inf_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_tel_inf_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_tel_inf_den_1000_onblur('#id_sc_field_tel_inf_den_1000' + iSeqRow, iSeqRow) })
                                              .bind('change', function() { sc_resumo_denuncia_tel_inf_den_1000_onchange(this, iSeqRow) })
                                              .bind('focus', function() { sc_resumo_denuncia_tel_inf_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_dt_ini_inv_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_dt_ini_inv_den_1000_onblur('#id_sc_field_dt_ini_inv_den_1000' + iSeqRow, iSeqRow) })
                                                 .bind('change', function() { sc_resumo_denuncia_dt_ini_inv_den_1000_onchange(this, iSeqRow) })
                                                 .bind('focus', function() { sc_resumo_denuncia_dt_ini_inv_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_and_inv_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_and_inv_den_1000_onblur('#id_sc_field_and_inv_den_1000' + iSeqRow, iSeqRow) })
                                              .bind('change', function() { sc_resumo_denuncia_and_inv_den_1000_onchange(this, iSeqRow) })
                                              .bind('focus', function() { sc_resumo_denuncia_and_inv_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_sc_field_0' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_sc_field_0_onblur('#id_sc_field_sc_field_0' + iSeqRow, iSeqRow) })
                                        .bind('change', function() { sc_resumo_denuncia_sc_field_0_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_resumo_denuncia_sc_field_0_onfocus(this, iSeqRow) });
  $('#id_sc_field_email_inf_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_email_inf_den_1000_onblur('#id_sc_field_email_inf_den_1000' + iSeqRow, iSeqRow) })
                                                .bind('change', function() { sc_resumo_denuncia_email_inf_den_1000_onchange(this, iSeqRow) })
                                                .bind('focus', function() { sc_resumo_denuncia_email_inf_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_status_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_id_status_den_1000_onblur('#id_sc_field_id_status_den_1000' + iSeqRow, iSeqRow) })
                                                .bind('change', function() { sc_resumo_denuncia_id_status_den_1000_onchange(this, iSeqRow) })
                                                .bind('focus', function() { sc_resumo_denuncia_id_status_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_den_vinculo_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_id_den_vinculo_1000_onblur('#id_sc_field_id_den_vinculo_1000' + iSeqRow, iSeqRow) })
                                                 .bind('change', function() { sc_resumo_denuncia_id_den_vinculo_1000_onchange(this, iSeqRow) })
                                                 .bind('focus', function() { sc_resumo_denuncia_id_den_vinculo_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_nome_alvo_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_nome_alvo_1000_onblur('#id_sc_field_nome_alvo_1000' + iSeqRow, iSeqRow) })
                                            .bind('change', function() { sc_resumo_denuncia_nome_alvo_1000_onchange(this, iSeqRow) })
                                            .bind('focus', function() { sc_resumo_denuncia_nome_alvo_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_existe_testemunha_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_existe_testemunha_1000_onblur('#id_sc_field_existe_testemunha_1000' + iSeqRow, iSeqRow) })
                                                    .bind('change', function() { sc_resumo_denuncia_existe_testemunha_1000_onchange(this, iSeqRow) })
                                                    .bind('focus', function() { sc_resumo_denuncia_existe_testemunha_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_den_grau_certeza_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_id_den_grau_certeza_1000_onblur('#id_sc_field_id_den_grau_certeza_1000' + iSeqRow, iSeqRow) })
                                                      .bind('change', function() { sc_resumo_denuncia_id_den_grau_certeza_1000_onchange(this, iSeqRow) })
                                                      .bind('focus', function() { sc_resumo_denuncia_id_den_grau_certeza_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_den_cadencia_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_id_den_cadencia_1000_onblur('#id_sc_field_id_den_cadencia_1000' + iSeqRow, iSeqRow) })
                                                  .bind('change', function() { sc_resumo_denuncia_id_den_cadencia_1000_onchange(this, iSeqRow) })
                                                  .bind('focus', function() { sc_resumo_denuncia_id_den_cadencia_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_senha_den_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_senha_den_1000_onblur('#id_sc_field_senha_den_1000' + iSeqRow, iSeqRow) })
                                            .bind('change', function() { sc_resumo_denuncia_senha_den_1000_onchange(this, iSeqRow) })
                                            .bind('focus', function() { sc_resumo_denuncia_senha_den_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_anexo_den_img1_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_anexo_den_img1_1000_onblur('#id_sc_field_anexo_den_img1_1000' + iSeqRow, iSeqRow) })
                                                 .bind('change', function() { sc_resumo_denuncia_anexo_den_img1_1000_onchange(this, iSeqRow) })
                                                 .bind('focus', function() { sc_resumo_denuncia_anexo_den_img1_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_anexo_den_img2_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_anexo_den_img2_1000_onblur('#id_sc_field_anexo_den_img2_1000' + iSeqRow, iSeqRow) })
                                                 .bind('change', function() { sc_resumo_denuncia_anexo_den_img2_1000_onchange(this, iSeqRow) })
                                                 .bind('focus', function() { sc_resumo_denuncia_anexo_den_img2_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_anexo_den_doc1_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_anexo_den_doc1_1000_onblur('#id_sc_field_anexo_den_doc1_1000' + iSeqRow, iSeqRow) })
                                                 .bind('change', function() { sc_resumo_denuncia_anexo_den_doc1_1000_onchange(this, iSeqRow) })
                                                 .bind('focus', function() { sc_resumo_denuncia_anexo_den_doc1_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_anexo_den_doc2_1000' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_anexo_den_doc2_1000_onblur('#id_sc_field_anexo_den_doc2_1000' + iSeqRow, iSeqRow) })
                                                 .bind('change', function() { sc_resumo_denuncia_anexo_den_doc2_1000_onchange(this, iSeqRow) })
                                                 .bind('focus', function() { sc_resumo_denuncia_anexo_den_doc2_1000_onfocus(this, iSeqRow) });
  $('#id_sc_field_andamento' + iSeqRow).bind('blur', function() { sc_resumo_denuncia_andamento_onblur('#id_sc_field_andamento' + iSeqRow, iSeqRow) })
                                       .bind('change', function() { sc_resumo_denuncia_andamento_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_resumo_denuncia_andamento_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_resumo_denuncia_id_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_id_1100_cat_den_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_id_1100_cat_den();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_id_1100_cat_den_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_id_1100_cat_den_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_dt_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_dt_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_dt_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_dt_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_desc_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_desc_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_desc_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_desc_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_den_anonima_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_den_anonima_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_den_anonima_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_den_anonima_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_nome_inf_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_nome_inf_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_nome_inf_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_nome_inf_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_tel_inf_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_tel_inf_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_tel_inf_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_tel_inf_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_dt_ini_inv_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_dt_ini_inv_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_dt_ini_inv_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_dt_ini_inv_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_and_inv_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_and_inv_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_and_inv_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_and_inv_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_sc_field_0_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_sc_field_0();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_sc_field_0_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_sc_field_0_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_email_inf_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_email_inf_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_email_inf_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_email_inf_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_id_status_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_id_status_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_id_status_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_id_status_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_id_den_vinculo_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_id_den_vinculo_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_id_den_vinculo_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_id_den_vinculo_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_nome_alvo_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_nome_alvo_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_nome_alvo_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_nome_alvo_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_existe_testemunha_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_existe_testemunha_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_existe_testemunha_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_existe_testemunha_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_id_den_grau_certeza_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_id_den_grau_certeza_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_id_den_grau_certeza_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_id_den_grau_certeza_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_id_den_cadencia_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_id_den_cadencia_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_id_den_cadencia_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_id_den_cadencia_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_senha_den_1000_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_senha_den_1000();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_senha_den_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_senha_den_1000_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_resumo_denuncia_anexo_den_img1_1000_onblur(oThis, iSeqRow) {
  scCssBlur(oThis);
}

function sc_resumo_denuncia_anexo_den_img1_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_anexo_den_img1_1000_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_resumo_denuncia_anexo_den_img2_1000_onblur(oThis, iSeqRow) {
  scCssBlur(oThis);
}

function sc_resumo_denuncia_anexo_den_img2_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_anexo_den_img2_1000_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_resumo_denuncia_anexo_den_doc1_1000_onblur(oThis, iSeqRow) {
  scCssBlur(oThis);
}

function sc_resumo_denuncia_anexo_den_doc1_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_anexo_den_doc1_1000_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_resumo_denuncia_anexo_den_doc2_1000_onblur(oThis, iSeqRow) {
  scCssBlur(oThis);
}

function sc_resumo_denuncia_anexo_den_doc2_1000_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_anexo_den_doc2_1000_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_resumo_denuncia_andamento_onblur(oThis, iSeqRow) {
  do_ajax_resumo_denuncia_validate_andamento();
  scCssBlur(oThis);
}

function sc_resumo_denuncia_andamento_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_resumo_denuncia_andamento_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function displayChange_page(page, status) {
        if ("0" == page) {
                displayChange_page_0(status);
        }
        if ("1" == page) {
                displayChange_page_1(status);
        }
        if ("2" == page) {
                displayChange_page_2(status);
        }
}

function displayChange_page_0(status) {
        displayChange_block("0", status);
        displayChange_block("1", status);
        displayChange_block("2", status);
        displayChange_block("3", status);
        displayChange_block("4", status);
}

function displayChange_page_1(status) {
        displayChange_block("5", status);
}

function displayChange_page_2(status) {
        displayChange_block("6", status);
        displayChange_block("7", status);
        displayChange_block("8", status);
}

function displayChange_block(block, status) {
        if ("0" == block) {
                displayChange_block_0(status);
        }
        if ("1" == block) {
                displayChange_block_1(status);
        }
        if ("2" == block) {
                displayChange_block_2(status);
        }
        if ("3" == block) {
                displayChange_block_3(status);
        }
        if ("4" == block) {
                displayChange_block_4(status);
        }
        if ("5" == block) {
                displayChange_block_5(status);
        }
        if ("6" == block) {
                displayChange_block_6(status);
        }
        if ("7" == block) {
                displayChange_block_7(status);
        }
        if ("8" == block) {
                displayChange_block_8(status);
        }
}

function displayChange_block_0(status) {
        displayChange_field("den_anonima_1000", "", status);
        displayChange_field("nome_inf_den_1000", "", status);
        displayChange_field("tel_inf_den_1000", "", status);
        displayChange_field("email_inf_den_1000", "", status);
}

function displayChange_block_1(status) {
        displayChange_field("desc_den_1000", "", status);
}

function displayChange_block_2(status) {
        displayChange_field("senha_den_1000", "", status);
        displayChange_field("dt_den_1000", "", status);
        displayChange_field("id_1100_cat_den", "", status);
        displayChange_field("id_den_vinculo_1000", "", status);
        displayChange_field("nome_alvo_1000", "", status);
        displayChange_field("existe_testemunha_1000", "", status);
        displayChange_field("id_den_grau_certeza_1000", "", status);
        displayChange_field("id_den_cadencia_1000", "", status);
}

function displayChange_block_3(status) {
        displayChange_field("anexo_den_img1_1000", "", status);
        displayChange_field("anexo_den_img2_1000", "", status);
}

function displayChange_block_4(status) {
        displayChange_field("anexo_den_doc1_1000", "", status);
        displayChange_field("anexo_den_doc2_1000", "", status);
}

function displayChange_block_5(status) {
        displayChange_field("andamento", "", status);
}

function displayChange_block_6(status) {
        displayChange_field("id_status_den_1000", "", status);
        displayChange_field("dt_ini_inv_den_1000", "", status);
}

function displayChange_block_7(status) {
        displayChange_field("and_inv_den_1000", "", status);
}

function displayChange_block_8(status) {
        displayChange_field("sc_field_0", "", status);
}

function displayChange_row(row, status) {
        displayChange_field_den_anonima_1000(row, status);
        displayChange_field_nome_inf_den_1000(row, status);
        displayChange_field_tel_inf_den_1000(row, status);
        displayChange_field_email_inf_den_1000(row, status);
        displayChange_field_desc_den_1000(row, status);
        displayChange_field_senha_den_1000(row, status);
        displayChange_field_dt_den_1000(row, status);
        displayChange_field_id_1100_cat_den(row, status);
        displayChange_field_id_den_vinculo_1000(row, status);
        displayChange_field_nome_alvo_1000(row, status);
        displayChange_field_existe_testemunha_1000(row, status);
        displayChange_field_id_den_grau_certeza_1000(row, status);
        displayChange_field_id_den_cadencia_1000(row, status);
        displayChange_field_anexo_den_img1_1000(row, status);
        displayChange_field_anexo_den_img2_1000(row, status);
        displayChange_field_anexo_den_doc1_1000(row, status);
        displayChange_field_anexo_den_doc2_1000(row, status);
        displayChange_field_andamento(row, status);
        displayChange_field_id_status_den_1000(row, status);
        displayChange_field_dt_ini_inv_den_1000(row, status);
        displayChange_field_and_inv_den_1000(row, status);
        displayChange_field_sc_field_0(row, status);
}

function displayChange_field(field, row, status) {
        if ("den_anonima_1000" == field) {
                displayChange_field_den_anonima_1000(row, status);
        }
        if ("nome_inf_den_1000" == field) {
                displayChange_field_nome_inf_den_1000(row, status);
        }
        if ("tel_inf_den_1000" == field) {
                displayChange_field_tel_inf_den_1000(row, status);
        }
        if ("email_inf_den_1000" == field) {
                displayChange_field_email_inf_den_1000(row, status);
        }
        if ("desc_den_1000" == field) {
                displayChange_field_desc_den_1000(row, status);
        }
        if ("senha_den_1000" == field) {
                displayChange_field_senha_den_1000(row, status);
        }
        if ("dt_den_1000" == field) {
                displayChange_field_dt_den_1000(row, status);
        }
        if ("id_1100_cat_den" == field) {
                displayChange_field_id_1100_cat_den(row, status);
        }
        if ("id_den_vinculo_1000" == field) {
                displayChange_field_id_den_vinculo_1000(row, status);
        }
        if ("nome_alvo_1000" == field) {
                displayChange_field_nome_alvo_1000(row, status);
        }
        if ("existe_testemunha_1000" == field) {
                displayChange_field_existe_testemunha_1000(row, status);
        }
        if ("id_den_grau_certeza_1000" == field) {
                displayChange_field_id_den_grau_certeza_1000(row, status);
        }
        if ("id_den_cadencia_1000" == field) {
                displayChange_field_id_den_cadencia_1000(row, status);
        }
        if ("anexo_den_img1_1000" == field) {
                displayChange_field_anexo_den_img1_1000(row, status);
        }
        if ("anexo_den_img2_1000" == field) {
                displayChange_field_anexo_den_img2_1000(row, status);
        }
        if ("anexo_den_doc1_1000" == field) {
                displayChange_field_anexo_den_doc1_1000(row, status);
        }
        if ("anexo_den_doc2_1000" == field) {
                displayChange_field_anexo_den_doc2_1000(row, status);
        }
        if ("andamento" == field) {
                displayChange_field_andamento(row, status);
        }
        if ("id_status_den_1000" == field) {
                displayChange_field_id_status_den_1000(row, status);
        }
        if ("dt_ini_inv_den_1000" == field) {
                displayChange_field_dt_ini_inv_den_1000(row, status);
        }
        if ("and_inv_den_1000" == field) {
                displayChange_field_and_inv_den_1000(row, status);
        }
        if ("sc_field_0" == field) {
                displayChange_field_sc_field_0(row, status);
        }
}

function displayChange_field_den_anonima_1000(row, status) {
    var fieldId;
}

function displayChange_field_nome_inf_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_tel_inf_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_email_inf_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_desc_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_senha_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_dt_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_id_1100_cat_den(row, status) {
    var fieldId;
}

function displayChange_field_id_den_vinculo_1000(row, status) {
    var fieldId;
}

function displayChange_field_nome_alvo_1000(row, status) {
    var fieldId;
}

function displayChange_field_existe_testemunha_1000(row, status) {
    var fieldId;
}

function displayChange_field_id_den_grau_certeza_1000(row, status) {
    var fieldId;
}

function displayChange_field_id_den_cadencia_1000(row, status) {
    var fieldId;
}

function displayChange_field_anexo_den_img1_1000(row, status) {
    var fieldId;
}

function displayChange_field_anexo_den_img2_1000(row, status) {
    var fieldId;
}

function displayChange_field_anexo_den_doc1_1000(row, status) {
    var fieldId;
}

function displayChange_field_anexo_den_doc2_1000(row, status) {
    var fieldId;
}

function displayChange_field_andamento(row, status) {
    var fieldId;
        if ("on" == status && typeof $("#nmsc_iframe_liga_grid_DEN_2000_andamento")[0].contentWindow.scRecreateSelect2 === "function") {
                $("#nmsc_iframe_liga_grid_DEN_2000_andamento")[0].contentWindow.scRecreateSelect2();
        }
}

function displayChange_field_id_status_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_dt_ini_inv_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_and_inv_den_1000(row, status) {
    var fieldId;
}

function displayChange_field_sc_field_0(row, status) {
    var fieldId;
}

function scRecreateSelect2() {
}
function scResetPagesDisplay() {
        $(".sc-form-page").show();
}

function scHidePage(pageNo) {
        $("#id_resumo_denuncia_form" + pageNo).hide();
}

function scCheckNoPageSelected() {
        if (!$(".sc-form-page").filter(".scTabActive").filter(":visible").length) {
                var inactiveTabs = $(".sc-form-page").filter(".scTabInactive").filter(":visible");
                if (inactiveTabs.length) {
                        var tabNo = $(inactiveTabs[0]).attr("id").substr(23);
                }
        }
}
function scJQUploadAdd(iSeqRow) {
  $("#id_sc_field_anexo_den_img1_1000" + iSeqRow).fileupload({
    datatype: "json",
    url: "resumo_denuncia_ul_save.php",
    dropZone: "",
    formData: function() {
      return [
        {name: 'param_field', value: 'anexo_den_img1_1000'},
        {name: 'param_seq', value: '<?php echo $this->Ini->sc_page; ?>'},
        {name: 'upload_file_row', value: iSeqRow}
      ];
    },
    progress: function(e, data) {
      var loader, progress;
      if (data.lengthComputable && window.FormData !== undefined) {
        loader = $("#id_img_loader_anexo_den_img1_1000" + iSeqRow);
        loaderContent = $("#id_img_loader_anexo_den_img1_1000" + iSeqRow + " .scProgressBarLoading");
        loaderContent.html("&nbsp;");
        progress = parseInt(data.loaded / data.total * 100, 10);
        loader.show().find("div").css("width", progress + "%");
      }
      else {
        loader = $("#id_ajax_loader_anexo_den_img1_1000" + iSeqRow);
        loader.show();
      }
    },
    done: function(e, data) {
      var fileData, respData, respPos, respMsg, thumbDisplay, checkDisplay, var_ajax_img_thumb, oTemp;
      fileData = null;
      respMsg = "";
      if (data && data.result && data.result[0] && data.result[0].body) {
        respData = data.result[0].body.innerText;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = $.parseJSON(respData);
        }
        else {
          respMsg = respData;
        }
      }
      else {
        respData = data.result;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = eval(respData);
        }
        else {
          respMsg = respData;
        }
      }
      if (window.FormData !== undefined)
      {
        $("#id_img_loader_anexo_den_img1_1000" + iSeqRow).hide();
      }
      else
      {
        $("#id_ajax_loader_anexo_den_img1_1000" + iSeqRow).hide();
      }
      if (null == fileData) {
        if ("" != respMsg) {
          oTemp = {"htmOutput" : "<?php echo $this->Ini->Nm_lang['lang_errm_upld_admn']; ?>"};
          scAjaxShowDebug(oTemp);
        }
        return;
      }
      if (fileData[0].error && "" != fileData[0].error) {
        var uploadErrorMessage = "";
        oResp = {};
        if ("acceptFileTypes" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_invl']) ?>";
        }
        else if ("maxFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("minFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("emptyFile" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_empty']) ?>";
        }
        scAjaxShowErrorDisplay("table", uploadErrorMessage);
        return;
      }
      $("#id_sc_field_anexo_den_img1_1000" + iSeqRow).val("");
      $("#id_sc_field_anexo_den_img1_1000_ul_name" + iSeqRow).val(fileData[0].sc_ul_name);
      $("#id_sc_field_anexo_den_img1_1000_ul_type" + iSeqRow).val(fileData[0].type);
      var_ajax_img_anexo_den_img1_1000 = '<?php echo $this->Ini->path_imag_temp; ?>/' + fileData[0].sc_image_source;
      var_ajax_img_thumb = '<?php echo $this->Ini->path_imag_temp; ?>/' + fileData[0].sc_thumb_prot;
      thumbDisplay = ("" == var_ajax_img_anexo_den_img1_1000) ? "none" : "";
      $("#id_ajax_img_anexo_den_img1_1000" + iSeqRow).attr("src", var_ajax_img_thumb);
      $("#id_ajax_img_anexo_den_img1_1000" + iSeqRow).css("display", thumbDisplay);
      if (document.F1.temp_out1_anexo_den_img1_1000) {
        document.F1.temp_out_anexo_den_img1_1000.value = var_ajax_img_thumb;
        document.F1.temp_out1_anexo_den_img1_1000.value = var_ajax_img_anexo_den_img1_1000;
      }
      else if (document.F1.temp_out_anexo_den_img1_1000) {
        document.F1.temp_out_anexo_den_img1_1000.value = var_ajax_img_anexo_den_img1_1000;
      }
      checkDisplay = ("" == fileData[0].sc_random_prot.substr(12)) ? "none" : "";
      $("#chk_ajax_img_anexo_den_img1_1000" + iSeqRow).css("display", checkDisplay);
      $("#txt_ajax_img_anexo_den_img1_1000" + iSeqRow).html(fileData[0].name);
      $("#txt_ajax_img_anexo_den_img1_1000" + iSeqRow).css("display", checkDisplay);
      $("#id_ajax_link_anexo_den_img1_1000" + iSeqRow).html(fileData[0].sc_random_prot.substr(12));
    }
  });

  $("#id_sc_field_anexo_den_img2_1000" + iSeqRow).fileupload({
    datatype: "json",
    url: "resumo_denuncia_ul_save.php",
    dropZone: "",
    formData: function() {
      return [
        {name: 'param_field', value: 'anexo_den_img2_1000'},
        {name: 'param_seq', value: '<?php echo $this->Ini->sc_page; ?>'},
        {name: 'upload_file_row', value: iSeqRow}
      ];
    },
    progress: function(e, data) {
      var loader, progress;
      if (data.lengthComputable && window.FormData !== undefined) {
        loader = $("#id_img_loader_anexo_den_img2_1000" + iSeqRow);
        loaderContent = $("#id_img_loader_anexo_den_img2_1000" + iSeqRow + " .scProgressBarLoading");
        loaderContent.html("&nbsp;");
        progress = parseInt(data.loaded / data.total * 100, 10);
        loader.show().find("div").css("width", progress + "%");
      }
      else {
        loader = $("#id_ajax_loader_anexo_den_img2_1000" + iSeqRow);
        loader.show();
      }
    },
    done: function(e, data) {
      var fileData, respData, respPos, respMsg, thumbDisplay, checkDisplay, var_ajax_img_thumb, oTemp;
      fileData = null;
      respMsg = "";
      if (data && data.result && data.result[0] && data.result[0].body) {
        respData = data.result[0].body.innerText;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = $.parseJSON(respData);
        }
        else {
          respMsg = respData;
        }
      }
      else {
        respData = data.result;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = eval(respData);
        }
        else {
          respMsg = respData;
        }
      }
      if (window.FormData !== undefined)
      {
        $("#id_img_loader_anexo_den_img2_1000" + iSeqRow).hide();
      }
      else
      {
        $("#id_ajax_loader_anexo_den_img2_1000" + iSeqRow).hide();
      }
      if (null == fileData) {
        if ("" != respMsg) {
          oTemp = {"htmOutput" : "<?php echo $this->Ini->Nm_lang['lang_errm_upld_admn']; ?>"};
          scAjaxShowDebug(oTemp);
        }
        return;
      }
      if (fileData[0].error && "" != fileData[0].error) {
        var uploadErrorMessage = "";
        oResp = {};
        if ("acceptFileTypes" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_invl']) ?>";
        }
        else if ("maxFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("minFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("emptyFile" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_empty']) ?>";
        }
        scAjaxShowErrorDisplay("table", uploadErrorMessage);
        return;
      }
      $("#id_sc_field_anexo_den_img2_1000" + iSeqRow).val("");
      $("#id_sc_field_anexo_den_img2_1000_ul_name" + iSeqRow).val(fileData[0].sc_ul_name);
      $("#id_sc_field_anexo_den_img2_1000_ul_type" + iSeqRow).val(fileData[0].type);
      var_ajax_img_anexo_den_img2_1000 = '<?php echo $this->Ini->path_imag_temp; ?>/' + fileData[0].sc_image_source;
      var_ajax_img_thumb = '<?php echo $this->Ini->path_imag_temp; ?>/' + fileData[0].sc_thumb_prot;
      thumbDisplay = ("" == var_ajax_img_anexo_den_img2_1000) ? "none" : "";
      $("#id_ajax_img_anexo_den_img2_1000" + iSeqRow).attr("src", var_ajax_img_thumb);
      $("#id_ajax_img_anexo_den_img2_1000" + iSeqRow).css("display", thumbDisplay);
      if (document.F1.temp_out1_anexo_den_img2_1000) {
        document.F1.temp_out_anexo_den_img2_1000.value = var_ajax_img_thumb;
        document.F1.temp_out1_anexo_den_img2_1000.value = var_ajax_img_anexo_den_img2_1000;
      }
      else if (document.F1.temp_out_anexo_den_img2_1000) {
        document.F1.temp_out_anexo_den_img2_1000.value = var_ajax_img_anexo_den_img2_1000;
      }
      checkDisplay = ("" == fileData[0].sc_random_prot.substr(12)) ? "none" : "";
      $("#chk_ajax_img_anexo_den_img2_1000" + iSeqRow).css("display", checkDisplay);
      $("#txt_ajax_img_anexo_den_img2_1000" + iSeqRow).html(fileData[0].name);
      $("#txt_ajax_img_anexo_den_img2_1000" + iSeqRow).css("display", checkDisplay);
      $("#id_ajax_link_anexo_den_img2_1000" + iSeqRow).html(fileData[0].sc_random_prot.substr(12));
    }
  });

  $("#id_sc_field_anexo_den_doc1_1000" + iSeqRow).fileupload({
    datatype: "json",
    url: "resumo_denuncia_ul_save.php",
    dropZone: "",
    formData: function() {
      return [
        {name: 'param_field', value: 'anexo_den_doc1_1000'},
        {name: 'param_seq', value: '<?php echo $this->Ini->sc_page; ?>'},
        {name: 'upload_file_row', value: iSeqRow}
      ];
    },
    progress: function(e, data) {
      var loader, progress;
      if (data.lengthComputable && window.FormData !== undefined) {
        loader = $("#id_img_loader_anexo_den_doc1_1000" + iSeqRow);
        loaderContent = $("#id_img_loader_anexo_den_doc1_1000" + iSeqRow + " .scProgressBarLoading");
        loaderContent.html("&nbsp;");
        progress = parseInt(data.loaded / data.total * 100, 10);
        loader.show().find("div").css("width", progress + "%");
      }
      else {
        loader = $("#id_ajax_loader_anexo_den_doc1_1000" + iSeqRow);
        loader.show();
      }
    },
    done: function(e, data) {
      var fileData, respData, respPos, respMsg, thumbDisplay, checkDisplay, var_ajax_img_thumb, oTemp;
      fileData = null;
      respMsg = "";
      if (data && data.result && data.result[0] && data.result[0].body) {
        respData = data.result[0].body.innerText;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = $.parseJSON(respData);
        }
        else {
          respMsg = respData;
        }
      }
      else {
        respData = data.result;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = eval(respData);
        }
        else {
          respMsg = respData;
        }
      }
      if (window.FormData !== undefined)
      {
        $("#id_img_loader_anexo_den_doc1_1000" + iSeqRow).hide();
      }
      else
      {
        $("#id_ajax_loader_anexo_den_doc1_1000" + iSeqRow).hide();
      }
      if (null == fileData) {
        if ("" != respMsg) {
          oTemp = {"htmOutput" : "<?php echo $this->Ini->Nm_lang['lang_errm_upld_admn']; ?>"};
          scAjaxShowDebug(oTemp);
        }
        return;
      }
      if (fileData[0].error && "" != fileData[0].error) {
        var uploadErrorMessage = "";
        oResp = {};
        if ("acceptFileTypes" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_invl']) ?>";
        }
        else if ("maxFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("minFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("emptyFile" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_empty']) ?>";
        }
        scAjaxShowErrorDisplay("table", uploadErrorMessage);
        return;
      }
      $("#id_sc_field_anexo_den_doc1_1000" + iSeqRow).val("");
      $("#id_sc_field_anexo_den_doc1_1000_ul_name" + iSeqRow).val(fileData[0].sc_ul_name);
      $("#id_sc_field_anexo_den_doc1_1000_ul_type" + iSeqRow).val(fileData[0].type);
      $("#id_ajax_doc_anexo_den_doc1_1000" + iSeqRow).html(fileData[0].name);
      $("#id_ajax_doc_anexo_den_doc1_1000" + iSeqRow).css("display", "");
      checkDisplay = ("" == fileData[0].sc_random_prot.substr(12)) ? "none" : "";
      $("#chk_ajax_img_anexo_den_doc1_1000" + iSeqRow).css("display", checkDisplay);
      $("#id_ajax_link_anexo_den_doc1_1000" + iSeqRow).html(fileData[0].sc_random_prot.substr(12));
    }
  });

  $("#id_sc_field_anexo_den_doc2_1000" + iSeqRow).fileupload({
    datatype: "json",
    url: "resumo_denuncia_ul_save.php",
    dropZone: "",
    formData: function() {
      return [
        {name: 'param_field', value: 'anexo_den_doc2_1000'},
        {name: 'param_seq', value: '<?php echo $this->Ini->sc_page; ?>'},
        {name: 'upload_file_row', value: iSeqRow}
      ];
    },
    progress: function(e, data) {
      var loader, progress;
      if (data.lengthComputable && window.FormData !== undefined) {
        loader = $("#id_img_loader_anexo_den_doc2_1000" + iSeqRow);
        loaderContent = $("#id_img_loader_anexo_den_doc2_1000" + iSeqRow + " .scProgressBarLoading");
        loaderContent.html("&nbsp;");
        progress = parseInt(data.loaded / data.total * 100, 10);
        loader.show().find("div").css("width", progress + "%");
      }
      else {
        loader = $("#id_ajax_loader_anexo_den_doc2_1000" + iSeqRow);
        loader.show();
      }
    },
    done: function(e, data) {
      var fileData, respData, respPos, respMsg, thumbDisplay, checkDisplay, var_ajax_img_thumb, oTemp;
      fileData = null;
      respMsg = "";
      if (data && data.result && data.result[0] && data.result[0].body) {
        respData = data.result[0].body.innerText;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = $.parseJSON(respData);
        }
        else {
          respMsg = respData;
        }
      }
      else {
        respData = data.result;
        respPos = respData.indexOf("[{");
        if (-1 !== respPos) {
          respMsg = respData.substr(0, respPos);
          respData = respData.substr(respPos);
          fileData = eval(respData);
        }
        else {
          respMsg = respData;
        }
      }
      if (window.FormData !== undefined)
      {
        $("#id_img_loader_anexo_den_doc2_1000" + iSeqRow).hide();
      }
      else
      {
        $("#id_ajax_loader_anexo_den_doc2_1000" + iSeqRow).hide();
      }
      if (null == fileData) {
        if ("" != respMsg) {
          oTemp = {"htmOutput" : "<?php echo $this->Ini->Nm_lang['lang_errm_upld_admn']; ?>"};
          scAjaxShowDebug(oTemp);
        }
        return;
      }
      if (fileData[0].error && "" != fileData[0].error) {
        var uploadErrorMessage = "";
        oResp = {};
        if ("acceptFileTypes" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_invl']) ?>";
        }
        else if ("maxFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("minFileSize" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_size']) ?>";
        }
        else if ("emptyFile" == fileData[0].error) {
          uploadErrorMessage = "<?php echo $this->form_encode_input($this->Ini->Nm_lang['lang_errm_file_empty']) ?>";
        }
        scAjaxShowErrorDisplay("table", uploadErrorMessage);
        return;
      }
      $("#id_sc_field_anexo_den_doc2_1000" + iSeqRow).val("");
      $("#id_sc_field_anexo_den_doc2_1000_ul_name" + iSeqRow).val(fileData[0].sc_ul_name);
      $("#id_sc_field_anexo_den_doc2_1000_ul_type" + iSeqRow).val(fileData[0].type);
      $("#id_ajax_doc_anexo_den_doc2_1000" + iSeqRow).html(fileData[0].name);
      $("#id_ajax_doc_anexo_den_doc2_1000" + iSeqRow).css("display", "");
      checkDisplay = ("" == fileData[0].sc_random_prot.substr(12)) ? "none" : "";
      $("#chk_ajax_img_anexo_den_doc2_1000" + iSeqRow).css("display", checkDisplay);
      $("#id_ajax_link_anexo_den_doc2_1000" + iSeqRow).html(fileData[0].sc_random_prot.substr(12));
    }
  });

} // scJQUploadAdd

var api_cache_requests = [];
function ajax_check_file(img_name, field  ,t, p, p_cache, iSeqRow, hasRun, img_before){
    setTimeout(function(){
        if(img_name == '') return;
        iSeqRow= iSeqRow !== undefined && iSeqRow !== null ? iSeqRow : '';
        var hasVar = p.indexOf('_@NM@_') > -1 || p_cache.indexOf('_@NM@_') > -1 ? true : false;

        p = p.split('_@NM@_');
        $.each(p, function(i,v){
            try{
                p[i] = $('[name='+v+iSeqRow+']').val();
            }
            catch(err){
                p[i] = v;
            }
        });
        p = p.join('');

        p_cache = p_cache.split('_@NM@_');
        $.each(p_cache, function(i,v){
            try{
                p_cache[i] = $('[name='+v+iSeqRow+']').val();
            }
            catch(err){
                p_cache[i] = v;
            }
        });
        p_cache = p_cache.join('');

        img_before = img_before !== undefined ? img_before : $(t).attr('src');
        var str_key_cache = '<?php echo $this->Ini->sc_page; ?>' + img_name+field+p+p_cache;
        if(api_cache_requests[ str_key_cache ] !== undefined && api_cache_requests[ str_key_cache ] !== null){
            if(api_cache_requests[ str_key_cache ] != false){
                do_ajax_check_file(api_cache_requests[ str_key_cache ], field  ,t, iSeqRow);
            }
            return;
        }
        //scAjaxProcOn();
        $(t).attr('src', '<?php echo $this->Ini->path_icones ?>/scriptcase__NM__ico__NM__ajax_load.gif');
        api_cache_requests[ str_key_cache ] = false;
        var rs =$.ajax({
                    type: "POST",
                    url: 'index.php?script_case_init=<?php echo $this->Ini->sc_page; ?>',
                    async: true,
                    data:'nmgp_opcao=ajax_check_file&AjaxCheckImg=' + encodeURI(img_name) +'&rsargs='+ field + '&p=' + p + '&p_cache=' + p_cache,
                    success: function (rs) {
                        if(rs.indexOf('</span>') != -1){
                            rs = rs.substr(rs.indexOf('</span>') + 7);
                        }
                        if(rs.indexOf('/') != -1 && rs.indexOf('/') != 0){
                            rs = rs.substr(rs.indexOf('/'));
                        }
                        rs = sc_trim(rs);

                        // if(rs == 0 && hasVar && hasRun === undefined){
                        //     delete window.api_cache_requests[ str_key_cache ];
                        //     ajax_check_file(img_name, field  ,t, p, p_cache, iSeqRow, 1, img_before);
                        //     return;
                        // }
                        window.api_cache_requests[ str_key_cache ] = rs;
                        do_ajax_check_file(rs, field  ,t, iSeqRow)
                        if(rs == 0){
                            delete window.api_cache_requests[ str_key_cache ];

                           // $(t).attr('src',img_before);
                            do_ajax_check_file(img_before+'_@@NM@@_' + img_before, field  ,t, iSeqRow)

                        }


                    }
        });
    },100);
}

function do_ajax_check_file(rs, field  ,t, iSeqRow){
    if (rs != 0) {
        rs_split = rs.split('_@@NM@@_');
        rs_orig = rs_split[0];
        rs2 = rs_split[1];
        try{
            if(!$(t).is('img')){

                if($('#id_read_on_'+field+iSeqRow).length > 0 ){
                                    var usa_read_only = false;

                switch(field){

                }
                     if(usa_read_only && $('a',$('#id_read_on_'+field+iSeqRow)).length == 0){
                         $(t).html("<a href=\"javascript:nm_mostra_doc('0', '"+rs2+"', 'resumo_denuncia')\">"+$('#id_read_on_'+field+iSeqRow).text()+"</a>");
                     }
                }
                if($('#id_ajax_doc_'+field+iSeqRow+' a').length > 0){
                    var target = $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href').split(',');
                    target[1] = "'"+rs2+"'";
                    $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href', target.join(','));
                }else{
                    var target = $(t).attr('href').split(',');
                     target[1] = "'"+rs2+"'";
                     $(t).attr('href', target.join(','));
                }
            }else{
                $(t).attr('src', rs2);
                $(t).css('display', '');
                if($('#id_ajax_doc_'+field+iSeqRow+' a').length > 0){
                    var target = $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href').split(',');
                    target[1] = "'"+rs2+"'";
                    $(t).attr('href', target.join(','));
                }else{
                     var t_link = $(t).parent('a');
                     var target = $(t_link).attr('href').split(',');
                     target[0] = "javascript:nm_mostra_img('"+rs_orig+"'";
                     $(t_link).attr('href', target.join(','));
                }

            }
            eval("window.var_ajax_img_"+field+iSeqRow+" = '"+rs_orig+"';");

        } catch(err){
                        eval("window.var_ajax_img_"+field+iSeqRow+" = '"+rs_orig+"';");

        }
    }
   /* hasFalseCacheRequest = false;
    $.each(api_cache_requests, function(i,v){
        if(v == false){
            hasFalseCacheRequest = true;
        }
    });
    if(hasFalseCacheRequest == false){
        scAjaxProcOff();
    }*/
}

$(document).ready(function(){
});

function scJQPasswordToggleAdd(seqRow) {
  $(".sc-ui-pwd-toggle-icon" + seqRow).on("click", function() {
    var fieldName = $(this).attr("id").substr(17), fieldObj = $("#id_sc_field_" + fieldName), fieldFA = $("#id_pwd_fa_" + fieldName);
    if ("text" == fieldObj.attr("type")) {
      fieldObj.attr("type", "password");
      fieldFA.attr("class", "fa fa-eye sc-ui-pwd-eye");
    } else {
      fieldObj.attr("type", "text");
      fieldFA.attr("class", "fa fa-eye-slash sc-ui-pwd-eye");
    }
  });
} // scJQPasswordToggleAdd

function scJQSelect2Add(seqRow, specificField) {
} // scJQSelect2Add


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
  scEventControl_init(iLine);
  scJQUploadAdd(iLine);
  scJQPasswordToggleAdd(iLine);
  scJQSelect2Add(iLine);
} // scJQElementsAdd

function scGetFileExtension(fileName)
{
    fileNameParts = fileName.split(".");

    if (1 === fileNameParts.length || (2 === fileNameParts.length && "" == fileNameParts[0])) {
        return "";
    }

    return fileNameParts.pop().toLowerCase();
}

function scFormatExtensionSizeErrorMsg(errorMsg)
{
    var msgInfo = errorMsg.split("||"), returnMsg = "";

    if ("err_size" == msgInfo[0]) {
        returnMsg = "<?php echo $this->Ini->Nm_lang['lang_errm_file_size'] ?>. <?php echo $this->Ini->Nm_lang['lang_errm_file_size_extension'] ?>".replace("{SC_EXTENSION}", msgInfo[1]).replace("{SC_LIMIT}", msgInfo[2]);
    } else if ("err_extension" == msgInfo[0]) {
        returnMsg = "<?php echo $this->Ini->Nm_lang['lang_errm_file_invl'] ?>";
    }

    return returnMsg;
}

